Attribute VB_Name = "IEEE488_Declarations"
' pc2w32.bas
'---------------------------------------------------------------------------------------------------
'  ICS Electronics      Visual Basic Declarations for 488-PCI/PCM Conversion DLL, PC2w32.dll
'
'  Jan. 11, 1999        Copyright ICS Electronics division of Systems West, Inc., 1998, 1999
'  Version 2.3
'---------------------------------------------------------------------------------------------------
'  Version 1.2 added ieinit constants
'  Version 2.2 changed DLL name for 32 bit DLL
'  Version 2.3 added Global4 variables


Option Explicit
'Global4 variables
Public CardNo       '488-PC2 card number variable
Public CardDev      '488-PC2 card + device
Public Device       '488 device address number
Public ErrFlag      'set by ProcessError to show error occured
Public DeviceList As Long      'list of devices on the bus
Public DeviceCount As Integer 'number of devices on the bus set by FindLstn


' Type
'Type PC2ADDR As Long

' flags parallel poll config
Global Const PC2PPC_RESP_0 = 0          ' parallel poll configure -- respond with 0
Global Const PC2PPC_RESP_1 = 8          ' parallel poll configure -- respond with 1

' flags for ieEOL
' for parameter outeol
Global Const PC2OEOL_BOTH = 0           ' terminated with both oeolstr and EOI
Global Const PC2OEOL_EOI = 1            ' terminated with EOI only
Global Const PC2OEOL_STR = 2            ' terminated with oeolstr only
' ineol
Global Const PC2IEOLB_ON = 0            ' inoeolb check enabled
Global Const PC2IEOLB_OFF = 1           ' disabled (counts only EOI and buffer overflow)

' flags for ieInit
Global Const PC2IF_NO_DMA = &H0           ' DMA transfer disabled
Global Const PC2IF_DMA_1 = &H1            ' DMA chan. 1
Global Const PC2IF_DMA_2 = &H2            ' DMA chan. 2
Global Const PC2IF_DMA_3 = &H3            ' DMA chan. 3

Global Const PC2IF_NOIRQ = &H0            ' none IRQ
Global Const PC2IF_IRQ1 = &H4
Global Const PC2IF_IRQ2 = &H8
Global Const PC2IF_IRQ3 = &HC
Global Const PC2IF_IRQ4 = &H10
Global Const PC2IF_IRQ5 = &H14
Global Const PC2IF_IRQ6 = &H18
Global Const PC2IF_IRQ7 = &H1C

Global Const PC2IF_SYSCLTR = &H0           ' system controller
Global Const PC2IF_NONSYSCTR = &H20         ' non-system controller
Global Const PC2IF_GPIBDEV = &H60           ' GPIB device
Global Const PC2IF_SPEED_LOW = &H0          ' low speed at handshake
Global Const PC2IF_SPEED_HIGH = &H1000      ' high speed

' flags for ieStatus
Global Const PC2SF_NEC_RR0 = 0          ' NEC7210 read register 0
Global Const PC2SF_NEC_RR1 = 1          ' NEC7210 read register 1
Global Const PC2SF_NEC_RR2 = 2          ' NEC7210 read register 2
Global Const PC2SF_NEC_RR3 = 3          ' NEC7210 read register 3
Global Const PC2SF_NEC_RR4 = 4          ' NEC7210 read register 4
Global Const PC2SF_NEC_RR5 = 5          ' NEC7210 read register 5
Global Const PC2SF_NEC_RR6 = 6          ' NEC7210 read register 6
Global Const PC2SF_NEC_RR7 = 7          ' NEC7210 read register 7
Global Const PC2SF_ERR = 8              ' error number of last called command
Global Const PC2SF_COUNT = 9            ' count of string bytes
Global Const PC2SF_TMOUT = 10           ' timeout interval
Global Const PC2SF_IOPORT = 11          ' I/O port address
Global Const PC2SF_DMAIRQ = 12          ' DMA & IRQ setting

'  error codes

Global Const PC2ERR_NONE = 0            ' no error
Global Const PC2ERR_TIMEOUT = 1         ' handshake time is out
Global Const PC2ERR_7210 = 2            ' NEC 7210 controller error
Global Const PC2ERR_NONSYS = 3          ' non-system controller error
Global Const PC2ERR_PARAM = 4           ' wrong parameter
Global Const PC2ERR_BREAK = 5           ' break key is pressed while timeout
Global Const PC2ERR_DMABUF = 6          ' can't allocate DMA buffer
Global Const PC2ERR_NORQSDEV = 7        ' can't find device that ask rqs

'   IRQ stuff

Global Const PC2IRQ_0_INT_NO = 8
Global Const PC2IRQ_FIRST = 1
Global Const PC2IRQ_LAST = 7

Global Const PC2IRQ_SERVED = PC2IRQ_LAST - PC2IRQ_FIRST + 1

Global Const PC2_WM_NOTIFY = &H400 + 289

Global Const WM_PC2_ADSC = PC2_WM_NOTIFY
Global Const WM_PC2_REMC = PC2_WM_NOTIFY + 1
Global Const WM_PC2_LOKC = PC2_WM_NOTIFY + 2
Global Const WM_PC2_CO = PC2_WM_NOTIFY + 3
Global Const WM_PC2_SRQI = PC2_WM_NOTIFY + 6
Global Const WM_PC2_DI = PC2_WM_NOTIFY + 8
Global Const WM_PC2_DO = PC2_WM_NOTIFY + 9
Global Const WM_PC2_ERR = PC2_WM_NOTIFY + 10
Global Const WM_PC2_DEC = PC2_WM_NOTIFY + 11
Global Const WM_PC2_END = PC2_WM_NOTIFY + 12
Global Const WM_PC2_DET = PC2_WM_NOTIFY + 13
Global Const WM_PC2_APT = PC2_WM_NOTIFY + 14
Global Const WM_PC2_CPT = PC2_WM_NOTIFY + 15


' possible IRQ events
Global Const PC2EV_INT = &H80
Global Const PC2EV_SRQI = &H40             ' SRQ request
Global Const PC2EV_CO = &H8                ' command output
Global Const PC2EV_LOKC = &H4              ' lockout change
Global Const PC2EV_REMC = &H2              ' remote change
Global Const PC2EV_ADSC = &H1              ' address status change


Global Const PC2EV_CPT = &H8000            ' command pass through
Global Const PC2EV_APT = &H4000            ' address pass through
Global Const PC2EV_DET = &H2000            ' device trigger
Global Const PC2EV_END = &H1000            ' data block transfer complete
Global Const PC2EV_DEC = &H800             ' device clear
Global Const PC2EV_ERR = &H400             ' error
Global Const PC2EV_DO = &H200              ' data out
Global Const PC2EV_DI = &H100              ' data in


' function prototypes

Declare Function ieAbort Lib "PC2w32.dll" Alias "_ieAbort@4" (ByVal CardDevice As Long) As Long
Declare Function ieDevClr Lib "PC2w32.dll" Alias "_ieDevClr@4" (ByVal CardDevice As Long) As Long
Declare Function ieEnter Lib "PC2w32.dll" Alias "_ieEnter@12" (ByVal CardDevice As Long, ByVal S$, ByVal slen As Long) As Long
Declare Function ieEnterB Lib "PC2w32.dll" Alias "_ieEnterB@12" (ByVal CardDevice As Long, ByVal S$, ByVal slen As Long) As Long
Declare Function ieEOL Lib "PC2w32.dll" Alias "_ieEOL@24" (ByVal CardDevice As Long, ByVal outeol As Long, ByVal S$, ByVal slen As Long, ByVal ineol%, ByVal ineolb%) As Long

Declare Function ieInit Lib "PC2w32.dll" Alias "_ieInit@12" (ByVal CardDevice As Long, ByVal myaddr As Long, ByVal setting As Long) As Long
Declare Function ieLLO Lib "PC2w32.dll" Alias "_ieLLO@4" (ByVal CardDevice As Long) As Long
Declare Function ieLocal Lib "PC2w32.dll" Alias "_ieLocal@4" (ByVal CardDevice As Long) As Long
Declare Function ieOutput Lib "PC2w32.dll" Alias "_ieOutput@12" (ByVal CardDevice As Long, ByVal S$, ByVal slen As Long) As Long
Declare Function ieOutputB Lib "PC2w32.dll" Alias "_ieOutputB@12" (ByVal CardDevice As Long, ByVal S$, ByVal slen As Long) As Long
Declare Function iePPoll Lib "PC2w32.dll" Alias "_iePPoll@4" (ByVal CardDevice As Long) As Long
Declare Function iePPollC Lib "PC2w32.dll" Alias "_iePPollC@8" (ByVal CardDevice As Long, ByVal config As Long) As Long
Declare Function iePPollU Lib "PC2w32.dll" Alias "_iePPollU@4" (ByVal CardDevice As Long) As Long
Declare Function ieRemote Lib "PC2w32.dll" Alias "_ieRemote@4" (ByVal CardDevice As Long) As Long
Declare Function ieSend Lib "PC2w32.dll" Alias "_ieSend@12" (ByVal CardDevice As Long, ByVal S$, ByVal slen As Long) As Long
Declare Function ieSPoll Lib "PC2w32.dll" Alias "_ieSPoll@4" (ByVal CardDevice As Long) As Long
Declare Function ieStatus Lib "PC2w32.dll" Alias "_ieStatus@8" (ByVal CardDevice As Long, ByVal cond As Long) As Long
Declare Function ieTimeOut Lib "PC2w32.dll" Alias "_ieTimeOut@8" (ByVal CardDevice As Long, ByVal tout As Long) As Long
Declare Function ieTrigger Lib "PC2w32.dll" Alias "_ieTrigger@4" (ByVal CardDevice As Long) As Long

' 488.2 routines
Declare Function ieReset Lib "PC2w32.dll" Alias "_ieReset@12" (ByVal card As Long, devList As Long, ByVal devNum As Long) As Long
Declare Function ieFindRQS Lib "PC2w32.dll" Alias "_ieFindRQS@20" (ByVal card As Long, devList As Long, ByVal devNum As Long, rqsDev As Long, devStatus As Long) As Long
Declare Function ieAllSPoll Lib "PC2w32.dll" Alias "_ieAllSPoll@16" (ByVal card As Long, devList As Long, ByVal devNum As Long, respList As Integer) As Long
Declare Function ieRequestCtl Lib "PC2w32.dll" Alias "_ieRequestCtl@12" (ByVal card As Long, devList As Long, ByVal devNum As Long) As Long
Declare Function ieFindLstn Lib "PC2w32.dll" Alias "_ieFindLstn@20" (ByVal card As Long, devList As Long, ByVal devNum As Long, foundList As Long, foundNum As Integer) As Long


'end file


